Install or Uninstall of Cacti error

Issues related to applications and software problems
vladinator
Posts: 10
Joined: 2014/11/13 23:01:58

Install or Uninstall of Cacti error

Post by vladinator » 2014/11/13 23:04:08

Anyone else get the following? This happens when I try to remove or install cacti:

Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: mirror.cs.uwp.edu
* epel: mirror.nexcess.net
* extras: mirror.thelinuxfix.com
* updates: mirror.beyondhosting.net
Resolving Dependencies
--> Running transaction check
---> Package cacti.noarch 0:0.8.8b-7.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================================================
Package Arch Version Repository Size
=============================================================================================================================================================================================
Installing:
cacti noarch 0.8.8b-7.el7 epel 2.1 M

Transaction Summary
=============================================================================================================================================================================================
Install 1 Package

Total download size: 2.1 M
Installed size: 6.0 M
Is this ok [y/d/N]: y
Downloading packages:
cacti-0.8.8b-7.el7.noarch.rpm | 2.1 MB 00:00:01
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Installing : cacti-0.8.8b-7.el7.noarch 1/1
/var/tmp/rpm-tmp.BO5goN: line 1: fg: no job control
warning: %post(cacti-0.8.8b-7.el7.noarch) scriptlet failed, exit status 1
Non-fatal POSTIN scriptlet failure in rpm package cacti-0.8.8b-7.el7.noarch
Verifying : cacti-0.8.8b-7.el7.noarch 1/1

Installed:
cacti.noarch 0:0.8.8b-7.el7

Complete!

User avatar
TrevorH
Forum Moderator
Posts: 29705
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Install or Uninstall of Cacti error

Post by TrevorH » 2014/11/14 00:15:19

It would appear to be a bug in the package which needs to be reported on bugzilla.redhat.com in the Fedora EPEL section if it hasn't already been reported already. The script actually says this

Code: Select all

# rpm -qp --scripts /var/cache/yum/x86_64/7/epel/packages/cacti-0.8.8b-7.el7.noarch.rpm 
preinstall scriptlet (using /bin/sh):
/usr/sbin/useradd -d /usr/share/cacti -r -s /sbin/nologin cacti 2> /dev/null || :
postinstall scriptlet (using /bin/sh):
  %systemd_post httpd.service
postuninstall scriptlet (using /bin/sh):
  %systemd_postun_with_restart httpd.service
I assume that's meant to be some sort of macro expansion in the rpm build process and it went wrong and produced an invalid script.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

vladinator
Posts: 10
Joined: 2014/11/13 23:01:58

Re: Install or Uninstall of Cacti error

Post by vladinator » 2014/11/14 13:50:37

TrevorH wrote:It would appear to be a bug in the package which needs to be reported on bugzilla.redhat.com in the Fedora EPEL section if it hasn't already been reported already. The script actually says this

Code: Select all

# rpm -qp --scripts /var/cache/yum/x86_64/7/epel/packages/cacti-0.8.8b-7.el7.noarch.rpm 
preinstall scriptlet (using /bin/sh):
/usr/sbin/useradd -d /usr/share/cacti -r -s /sbin/nologin cacti 2> /dev/null || :
postinstall scriptlet (using /bin/sh):
  %systemd_post httpd.service
postuninstall scriptlet (using /bin/sh):
  %systemd_postun_with_restart httpd.service
I assume that's meant to be some sort of macro expansion in the rpm build process and it went wrong and produced an invalid script.
Yes, and there is a bug, which I attached my output to. What's your point? Is there something wrong with asking if others have seen this? Lots of people find bugs and fix them without ever submitting those bugs and more importantly their fixes to the bug tracker.

gerald_clark
Posts: 10642
Joined: 2005/08/05 15:19:54
Location: Northern Illinois, USA

Re: Install or Uninstall of Cacti error

Post by gerald_clark » 2014/11/14 13:58:12

The point is that CentOS does not fix bugs.
If you find a bug and want it fixed, you need to report it to the source of the problem.

vladinator
Posts: 10
Joined: 2014/11/13 23:01:58

Re: Install or Uninstall of Cacti error

Post by vladinator » 2014/11/14 14:02:40

gerald_clark wrote:The point is that CentOS does not fix bugs.
If you find a bug and want it fixed, you need to report it to the source of the problem.
And MY point is, asking a wider audience if they've had the issue helps me to do that. There is very little information about this bug. Google only returns a single hit, the bug filed over at Red Hat. You'll note that I didn't ask CentOS to fix this in my post. I asked if anyone else was having the problem.

User avatar
TrevorH
Forum Moderator
Posts: 29705
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Install or Uninstall of Cacti error

Post by TrevorH » 2014/11/14 14:14:58

I pointed you to the fact that it is a bug in the package from EPEL so by definition everyone who uses the package from EPEL will have the problem. I don't have this installed, I went off and got it to investigate it specifically because you asked about it. If that's your attitude to my going out of my way to help you then you can fix it on your own.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

vladinator
Posts: 10
Joined: 2014/11/13 23:01:58

Re: Install or Uninstall of Cacti error

Post by vladinator » 2014/11/14 14:18:21

TrevorH wrote:I pointed you to the fact that it is a bug in the package from EPEL so by definition everyone who uses the package from EPEL will have the problem. I don't have this installed, I went off and got it to investigate it specifically because you asked about it. If that's your attitude to my going out of my way to help you then you can fix it on your own.
If your idea of helping is to tell me to go file a bug elsewhere, and to be snide and tell me "The script actually says this" as though I had not read the output I posted, then thanks, I'll wait for someone who actually wants to help to come along. Clearly, you don't.

User avatar
TrevorH
Forum Moderator
Posts: 29705
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Install or Uninstall of Cacti error

Post by TrevorH » 2014/11/14 14:21:10

You get the package from EPEL, Only EPEL can fix bugs in their packages. They won't fix it if you don't report it.

I wasn't being snide, you reported an error message, I looked at the script and can see that it's a bug in the script. You didn't post the script, you posted the error message. CentOS is not EPEL. We do not maintain their packages.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

vladinator
Posts: 10
Joined: 2014/11/13 23:01:58

Re: Install or Uninstall of Cacti error

Post by vladinator » 2014/11/14 14:31:23

TrevorH wrote:You get the package from EPEL, Only EPEL can fix bugs in their packages. They won't fix it if you don't report it.

I wasn't being snide, you reported an error message, I looked at the script and can see that it's a bug in the script. You didn't post the script, you posted the error message. CentOS is not EPEL. We do not maintain their packages.
We're now talking past each other, not to each other. Let me try one last time to clear this up, and then I'm going to just move on.

I indicated in my second reply that there was a bug report, and that I had posted my information to it along with the original reporters. I've been doing this since 1993, far longer than there has been a Red Hat or a CentOS - I understand how bug reports work, and did my diligence with regard to that bug. As such, "They won't fix it if you don't report it" isn't helpful. I've already done that. I'm pretty sure that myself and the original poster of that bug aren't the only 2 people wanting to use Cacti on CentOS 7. As such, asking the wider community if any of them have had the same error seems logical. Some of them have likely at least seen the same error. A few of them might have even solved it already. Some of those people might not have filed a bug, or seen the one bug filed. They might however respond on the forums. I could then point them to the bug, or post the information in the bug report directly if it was helpful in solving the problem (with proper attribution, of course). At no point was this about coming to the software support forum to fix someone else's bug. I would hope this is now clear.

I accept that you didn't intend to be snide. However, that's how it came across. Frankly, I haven't had such an unpleasant interaction since I briefly tried Gentoo.

gerald_clark
Posts: 10642
Joined: 2005/08/05 15:19:54
Location: Northern Illinois, USA

Re: Install or Uninstall of Cacti error

Post by gerald_clark » 2014/11/14 14:42:30

Instead of being flippant in your second post, you could have thanked Trevor and posted the link to the bug report.

Post Reply

Return to “CentOS 7 - Software Support”